package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.enums.GenderEnum;
import com.yonge.cooleshow.common.entity.BaseEntity;
import com.yonge.toolset.base.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: cy
 * @Date: 2022/5/12
 */
public class MyFens extends BaseEntity {
    @ApiModelProperty("昵称")
    private String userId;
    @ApiModelProperty("昵称")
    private String userName;
    @ApiModelProperty(value = "真实姓名")
    private String realName;
    @ApiModelProperty("头像地址")
    private String avatar;
    @ApiModelProperty("声部")
    private String subjectName;
    @ApiModelProperty(value = "性别 0女 1男")
    private GenderEnum gender;

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public GenderEnum getGender() {
        return gender;
    }

    public void setGender(Object gender) {
        if(gender instanceof GenderEnum ){
            this.gender = (GenderEnum) gender;
        }else if (null != gender) {
            this.gender = GenderEnum.valueOf(Integer.parseInt(gender.toString()));
        }
    }

    
}
